package J20250805.demo04;

/**
 * @author WanJl
 * @version 1.0
 * @title Student
 * @description
 * @create 2025/8/5
 */
public class Student {
    private String id;
    private String name;
    private Integer age;
    private String sex;

    public Student() {
    }

    private Student(String id) {
        this.id = id;
    }

    private Student(String id, String name) {
        this.id = id;
        this.name = name;
    }

    private Student(String id, String name, Integer age) {
        this.id = id;
        this.name = name;
        this.age = age;
    }

    public Student(String id, String name, Integer age, String sex) {
        this.id = id;
        this.name = name;
        this.age = age;
        this.sex = sex;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
}
